Subject: bug#17976: 24.3; url-retrieve-synchronously doesn't fallback to IPv4

From: Eli Zaretskii <[email-masked]>
Date: Fri, 25 Dec 2015 22:43:24 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Fri, 25 Dec 2015 21:33:56 +0100
> Cc: [email-masked]
> 
> Juliusz Chroboczek <[email-masked]> writes:
> 
> > My machine has both IPv6 and IPv4.  I'm accessing a server that has both
> > IPv6 and IPv4, but whose web server listens on IPv4 only.  The web server
> > is doing the right thing, sending RST upon IPv6 connection attempts.  Wget
> > and telnet do the right thing, they fallback to IPv4:
> >
> >   $ telnet moule.informatique.univ-paris-diderot.fr 8080
> >   Trying 2001:660:3301:8070::40...
> >   Trying 194.254.199.40...
> >   Connected to moule.informatique.univ-paris-diderot.fr.
> >   Escape character is '^]'.
> 
> Perhaps this should be a general network connection thing?

If by "general network connection" you mean on the C level in
process.c, then no, I don't think so.  Protocol-specific code is not
there, it's above that in Lisp.  IMO, url*.el is where this should be
handled.